#ifndef __BEEP_H
#define __BEEP_H

#include "beep_drv.h"

#define beepOFF 				0 	// Beep desligado
#define beepCONTINUOUS 			1 	// Beep ligado direto
#define beepCONTINUOUS_ONOFF 	2	// Emissão de um beep curto em intervalos
#define beep1SHORTBEEP 			3	// Emissão de um beep curto
#define beep3SHORTBEEP 			4	// Emissão de três beeps curtos
#define beepCONTINUOUS_2xONOFF	5  	// Emissão de dois beeps curtos em intervalos
#define beep1LONG2SHORTBEEP		6  	// Emissão um beep longo e dois beeps curtos

void beep_Init(void);
void beep_Play(uint type);
uint beep_Playing (void);
void beep_Stop(void);
void beep_Tick(void);

#endif
